#
# spec file for package perl-Algorithm-Diff
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Algorithm-Diff
Version:        1.1903
Release:        4.5
%define cpan_name Algorithm-Diff
Summary:        Compute `intelligent' differences between two files / lists
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Algorithm-Diff/
Source:         http://www.cpan.org/authors/id/T/TY/TYEMQ/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Compute `intelligent' differences between two files / lists

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.1903
  see /usr/share/doc/packages/perl-Algorithm-Diff/Changes
  1.19_03 2014-11-25
  - Fix documentation typos (RT 84981)
    contributed by dsteinbrunner
  - add -w and -i switches to diffnew.pl (RT 69945)
    contributed by Brian.Eschner
  - Remove Algorithm::DiffOld from the index
    The module is still distributed with Algorithm::Diff, but is not indexed on
    CPAN because this is an ***UNAUTHORIZED*** release of Algorithm::DiffOld.
- droped requirement to patch - it clearly doesn't use patch at all
* Thu Nov 17 2011 coolo@suse.com
- regenerate with cpanspec 1.78.05
* Tue Aug 30 2011 andrea.turrini@gmail.com
- Standardized "Authors:" format in description of
  perl-Algorithm-Diff.spec
* Fri Mar 18 2011 cdenicolo@novell.com
- license update: GPL+ or Artistic
  fix license string
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Dec 13 2009 chris@computersalat.de
- cleanupo spec
  * updated URL
  * bzipped Source
  * updated desc
- fixed build-/deps
  * added Data::Dumper
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Fri Jul 24 2009 coolo@novell.com
- merge factory changes
* Thu Jun 18 2009 chris@computersalat.de
- spec fix for perl-macros
* Thu Jun 18 2009 chris@computersalat.de
- spec fix for perl-macros
* Tue Jun 16 2009 chris@computersalat.de
- comment on Provides
- changed name for filelist
* Mon Jun 15 2009 chris@computersalat.de
- added perl-macros
  o autogen filelist with perl_gen_filelist
* Sun Jun 14 2009 chris@computersalat.de
- fixed deps
* Tue Aug  8 2006 ke@suse.de
- Version 1.1902; Changes:
  - Fix typo in @EXPORT_OK (s/LCDidx/LCSidx/) (RT 8576)
  - Use 'printf' in example code, not 'sprintf' nor 'sprint' (RT 16067)
  - DiffOld wasn't passing extra arguments to compare routine (RT 20650)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jul 19 2005 lmuelle@suse.de
- Update to 1.1901.
* Wed Feb  4 2004 ke@suse.de
- New package: version 1.15.
